Skip to main content
`Ctrl`+`K`

# PetscSleep

Sleeps some number of seconds.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscSleep(PetscReal s)

Not Collective

## Input Parameter

- s - number of seconds to sleep

## Note

If `s` is negative waits for keyboard input

## See Also

`PetscTime()`

## Level

intermediate

## Location

src/sys/utils/psleep.c

## Examples

src/vec/vec/tutorials/ex15.c
src/sys/tutorials/ex3f90.F90
src/sys/tutorials/ex3.c
src/sys/tutorials/ex4f.F90
src/sys/tutorials/ex3f.F90
src/ksp/ksp/tutorials/ex100f.F90
src/ksp/ksp/tutorials/ex100.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages